#bioModal {
  height: var(--viewportHeight);
  padding: 10px;
  background-color: rgba(245, 249, 254);

  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
}
#bioModal .f-top {
  padding: 13px 0 13px 20px;
  margin-bottom: 8px;
  background-color: #ecf3ff;
  color: #3F84FB;
  flex-shrink: 0;
  display: flex;
  align-items: center;
}
#bioModal .f-top > i {
  font-size: 32px;
}
#bioModal .f-top .f-tit {
  margin-left: 20px;
  margin-right: 10px;
  font-size: 14px;
  line-height: 20px;
  font-weight: 700;
  flex-grow: 1;
}
#bioModal .f-top .f-close {
  height: 40px;
  padding: 0 16px;
  border: 1px solid;
  border-radius: 4px;
  font-size: 16px;
  line-height: 20px;
  font-weight: 400;
  white-space: nowrap;
  cursor: pointer;
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  padding: 0;
  padding-left: 0;
  padding-right: 0;
  border-color: transparent;
  background-color: transparent;
  color: #212429;
  flex-shrink: 0;
}
#bioModal .f-top .f-close[disabled] {
  opacity: 0.2;
}
#bioModal .f-top .f-close > * + * {
  margin-left: 5px;
}
#bioModal .f-top .f-close:focus, #bioModal .f-top .f-close:hover {
  color: #212429;
}
#bioModal .f-top .f-close:focus span, #bioModal .f-top .f-close:hover span {
  text-decoration: underline;
}
#bioModal .f-middle {
  padding: 20px;
  border-radius: 4px;
  box-shadow: 0px 0px 35px rgba(172, 179, 189, 0.25);
  background-color: #FFFFFF;
  color: rgba(33, 36, 41, 0.4);
  font-size: 14px;
  line-height: 20px;
  text-align: center;
  position: relative;
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 81%;
}
#bioModal .f-middle .f-help {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9999;
  pointer-events: none;
}
#bioModal .f-middle .f-help img {
  width: 51px;
  margin-top: 4px;
}
#bioModal .f-middle .f-result i {
  font-size: 60px;
}
#bioModal .f-middle .f-result .f-result-tit {
  margin-top: 14px;
  margin-bottom: 10px;
  font-size: 20px;
  line-height: 24px;
  font-weight: 700;
}
#bioModal .f-middle .f-result.f-result-ok i,
#bioModal .f-middle .f-result.f-result-ok .f-result-tit {
  color: #00D385;
}
#bioModal .f-middle .f-result.f-result-ko i,
#bioModal .f-middle .f-result.f-result-ko .f-result-tit {
  color: #F44336;
}
#bioModal .f-bottom {
  margin-top: 10px;
  flex-shrink: 0;
}
#bioModal .f-bottom .row {
  margin-left: -6px;
  margin-right: -6px;
}
#bioModal .f-bottom .row > * {
  padding-left: 6px;
  padding-right: 6px;
}

#bioModal .f-bottom .btn {
  border-radius: 4px !important;
  padding-bottom: 12px;
  padding-top: 12px;
}

#bioModal .f-middle .containerBiometric {
    position: static;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: white;
}

#bioModal #canvasBiometric {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    border: 1px solid white;
}

#bioModal .f-bottom .btn-sign-love {
  background-color: #F600FF !important;
  color: #ffffff !important;
}
